<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class ConfigurationSeeder extends Seeder
{
  /**
   * Run the database seeds.
   */
  public function run(): void
  {
    $data = [];

    if (!empty($data)) {
      $data = collect($data)->map(function ($raw) {
        $raw['created_at'] = now();
        $raw['updated_at'] = now();
        return $raw;
      })->toArray();

      DB::table('configurations')->insert($data);
    }
  }
}
